main:
	forward A ; go forwards
	forward B
	; test bumpers
	; to see if hit
	if pinC.3 = 1 then doLeft
	if pinC.1 = 1 then doRight
	goto main
	
doLeft:
	backward A ; reverse for 0.5s
	backward B
	sound B.2,(50,100) ; beep
	pause 500
	forward A ; turn for 0.32s
	backward B
	pause 320
	goto main

doRight:
	backward A ; reverse for 0.5s
	backward B
	sound B.2,(100,100) ; beep
	pause 500
	backward A ; turn for 0.32s
	forward B
	pause 320
	goto main
